- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libepubgen::EPUBGenerator Class Referenceabstract

`#include <EPUBGenerator.h>`

Inheritance diagram for libepubgen::EPUBGenerator:

## Public Member Functions
| EPUBGenerator (EPUBPackage *package, EPUBSplitMethod method)
virtual | ~EPUBGenerator ()
void | startDocument (const librevenge::RVNGPropertyList &props)
void | endDocument ()
void | setDocumentMetaData (const librevenge::RVNGPropertyList &props)
void | startNewHtmlFile ()
const EPUBHTMLGeneratorPtr_t & | getHtml () const
const EPUBSplitGuard & | getSplitGuard () const
EPUBSplitGuard & | getSplitGuard ()

## Private Member Functions
| EPUBGenerator (const EPUBGenerator &)
EPUBGenerator & | operator= (const EPUBGenerator &)
virtual void | startHtmlFile ()=0
virtual void | endHtmlFile ()=0
void | writeContainer ()
void | writeNavigation ()
void | writeStylesheet ()
void | writeRoot ()

## Private Attributes
EPUBPackage * | m_package
EPUBManifest | m_manifest
EPUBHTMLManager | m_htmlManager
EPUBImageManager | m_imageManager
EPUBListStyleManager | m_listStyleManager
EPUBParagraphStyleManager | m_paragraphStyleManager
EPUBSpanStyleManager | m_spanStyleManager
EPUBTableStyleManager | m_tableStyleManager
const EPUBPath | m_stylesheetPath
librevenge::RVNGPropertyList | m_documentProps
librevenge::RVNGPropertyList | m_metadata
EPUBHTMLGeneratorPtr_t | m_currentHtml
EPUBSplitGuard | m_splitGuard

## Constructor & Destructor Documentation

libepubgen::EPUBGenerator::EPUBGenerator | ( | const EPUBGenerator & |  | ) |
| private

libepubgen::EPUBGenerator::EPUBGenerator | ( | EPUBPackage * | package,
|  | EPUBSplitMethod | method
| ) |  |

libepubgen::EPUBGenerator::~EPUBGenerator | ( |  | ) |
| virtual

## Member Function Documentation

void libepubgen::EPUBGenerator::endDocument | ( |  | ) |

virtual void libepubgen::EPUBGenerator::endHtmlFile | ( |  | ) |
| private pure virtual

Implemented in libepubgen::EPUBTextGenerator::Impl, and libepubgen::EPUBPagedGenerator::Impl.

Referenced by endDocument(), and startNewHtmlFile().

const EPUBHTMLGeneratorPtr_t & libepubgen::EPUBGenerator::getHtml | ( |  | ) | const

const EPUBSplitGuard & libepubgen::EPUBGenerator::getSplitGuard | ( |  | ) | const

EPUBSplitGuard & libepubgen::EPUBGenerator::getSplitGuard | ( |  | ) |

EPUBGenerator& libepubgen::EPUBGenerator::operator= | ( | const EPUBGenerator & |  | ) |
| private

void libepubgen::EPUBGenerator::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | props | ) |

void libepubgen::EPUBGenerator::startDocument | ( | const librevenge::RVNGPropertyList & | props | ) |

virtual void libepubgen::EPUBGenerator::startHtmlFile | ( |  | ) |
| private pure virtual

Implemented in libepubgen::EPUBTextGenerator::Impl, and libepubgen::EPUBPagedGenerator::Impl.

Referenced by startNewHtmlFile().

void libepubgen::EPUBGenerator::startNewHtmlFile | ( |  | ) |

Referenced by startDocument().

void libepubgen::EPUBGenerator::writeContainer | ( |  | ) |
| private

Referenced by endDocument().

void libepubgen::EPUBGenerator::writeNavigation | ( |  | ) |
| private

Referenced by endDocument().

void libepubgen::EPUBGenerator::writeRoot | ( |  | ) |
| private

Referenced by endDocument().

void libepubgen::EPUBGenerator::writeStylesheet | ( |  | ) |
| private

Referenced by endDocument().

## Member Data Documentation

EPUBHTMLGeneratorPtr_t libepubgen::EPUBGenerator::m_currentHtml
| private

Referenced by endDocument(), getHtml(), and startNewHtmlFile().

librevenge::RVNGPropertyList libepubgen::EPUBGenerator::m_documentProps
| private

Referenced by startDocument(), and startNewHtmlFile().

EPUBHTMLManager libepubgen::EPUBGenerator::m_htmlManager
| private

Referenced by endDocument(), startNewHtmlFile(), writeNavigation(), and writeRoot().

EPUBImageManager libepubgen::EPUBGenerator::m_imageManager
| private

Referenced by endDocument(), and startNewHtmlFile().

EPUBListStyleManager libepubgen::EPUBGenerator::m_listStyleManager
| private

Referenced by startNewHtmlFile(), and writeStylesheet().

EPUBManifest libepubgen::EPUBGenerator::m_manifest
| private

Referenced by startDocument(), and writeRoot().

librevenge::RVNGPropertyList libepubgen::EPUBGenerator::m_metadata
| private

Referenced by setDocumentMetaData(), and startNewHtmlFile().

EPUBPackage* libepubgen::EPUBGenerator::m_package
| private

Referenced by endDocument(), writeContainer(), writeNavigation(), writeRoot(), and writeStylesheet().

EPUBParagraphStyleManager libepubgen::EPUBGenerator::m_paragraphStyleManager
| private

Referenced by startNewHtmlFile(), and writeStylesheet().

EPUBSpanStyleManager libepubgen::EPUBGenerator::m_spanStyleManager
| private

Referenced by startNewHtmlFile(), and writeStylesheet().

EPUBSplitGuard libepubgen::EPUBGenerator::m_splitGuard
| private

Referenced by getSplitGuard(), and startNewHtmlFile().

const EPUBPath libepubgen::EPUBGenerator::m_stylesheetPath
| private

Referenced by startDocument(), startNewHtmlFile(), and writeStylesheet().

EPUBTableStyleManager libepubgen::EPUBGenerator::m_tableStyleManager
| private

Referenced by startNewHtmlFile(), and writeStylesheet().

The documentation for this class was generated from the following files:

- EPUBGenerator.h
- EPUBGenerator.cpp